POST /discord/guilds/{guildId}/roles

Create a role (needs Manage Roles; it cannot sit at or above the bot's highest role)

POST
/discord/guilds/{guildId}/roles

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

guildId*string

Discord server (guild) id

Query Parameters

accountId*string

Discord account id bound to this server (or the channel's server)

Request Body

application/json
  1. body
name*string
Lengthlength <= 100
color?integer
Range0 <= value <= 16777215
hoist?boolean
mentionable?boolean
permissions?string

Bitfield as a string of digits

Response Body

{data}

application/json
  1. response
data?
Example Request
curl -X POST 'https://example.com/api/v1/discord/guilds/string/roles?accountId=string' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "data": {    "id": "string",    "name": "string",    "color": 0,    "position": 0,    "permissions": "string",    "managed": true,    "mentionable": true,    "hoist": true  }}